module.exports = {
  publicPath: process.env.VUE_APP_publicPath,
  configureWebpack: {
    devtool: "source-map",
    externals: {
      BMap: "BMap"
    }
  },
  chainWebpack: config => {
    config.resolve.alias.set("@assets", "@/assets");
  },
  devServer: {
    open: true,
    proxy: {
      [process.env.VUE_APP_BASE_API]: {
        target: process.env.VUE_APP_Target,
        changeOrigin: true
        // pathRewrite: {
        //   ["^" + process.env.VUE_APP_BASE_API]: ""
        // }
      }
    }
  }
};
